stages:
  - Prepare
  - Verify
  - Deploy

Prepare:
  stage: Prepare
  tags:
    - test
    - windows
  script:
    - echo "$GITLAB_USER_LOGIN!"
    - echo "Chris"
    - echo "$CI_JOB_STAGE"

Verify:
  stage: Verify
  tags:
    - test
    - windows
  script:
    - echo "$CI_JOB_STAGE"
    - docker info
    - docker --version
    - docker images
    - docker system prune -f

Deploy:
  stage: Deploy
  tags:
    - test
    - windows
  script:
    - echo "Déploiement en cours..."
    - docker run hello-world
  when: manual
